Highlighted

AIR 14.0 -swf-version=24 or 25?

Engaged ,
May 29, 2014

Copy link to clipboard

Copied

Hi all,

In the release notes of Adobe AIR 14 (in labs), it mentions that the -swf-version should be set to 24.   Is this actually correct, because it is the same version specified for AIR 13?

I tried setting it to -swf-version=25 and it compiled ok...

Cheers,.

Peter

TOPICS
Development

Views

1.3K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

AIR 14.0 -swf-version=24 or 25?

Engaged ,
May 29, 2014

Copy link to clipboard

Copied

Hi all,

In the release notes of Adobe AIR 14 (in labs), it mentions that the -swf-version should be set to 24.   Is this actually correct, because it is the same version specified for AIR 13?

I tried setting it to -swf-version=25 and it compiled ok...

Cheers,.

Peter

TOPICS
Development

Views

1.3K

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
May 29, 2014 0
Contributor ,
May 29, 2014

Copy link to clipboard

Copied

Yes, it is 25. 24 must have been a typo.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
May 29, 2014 0
New Here ,
Jun 25, 2014

Copy link to clipboard

Copied

Actually I believe it's 24.

I made an ANE and I specified -swf-version=25 when compiling it using AIR 14. It did compile. Then I tried to use it in an application which I made with FlashDevelop. I specified "Flex 4.6.0, AIR 14.0" for the application SDK, and also in the application XML:

<application xmlns="http://ns.adobe.com/air/application/14.0">

When I tried to run it on my android device, I got an error message which was something like: "You're trying to use an extension which has a greater swf version than this application".

Then I recompiled the ANE with -swf-version=24, and everything worked fine.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jun 25, 2014 0